#
# spec file for package texlive-specs-l
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_slice l
%define __perl_requires		%{nil}
%define __os_install_post       /usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}
# skip-check-libtool-deps
%if 0%{?_with_debug:1}
%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
%endif

# skip-check-libtool-deps
Name:           texlive-specs-l
Version:        2012
Release:        10.5.3
Summary:        One spec file for all TeX Live packages
License:        BSD-3-Clause and GFDL-1.2 and GPL-2.0+ and LPPL-1.0 and LPPL-1.3c and SUSE-Public-Domain
Group:          Development/Tools/Building
Url:            http://build.opensuse.org/package/show?package=texlive-specs-l&project=Publishing:TeXLive
Source0:        texlive-specs.tar.xz
Source1000:     l2picfaq.doc.tar.xz
Source1001:     l2picfaq.tar.xz
Source1002:     l2tabu-english.doc.tar.xz
Source1003:     l2tabu-english.tar.xz
Source1004:     l2tabu-french.doc.tar.xz
Source1005:     l2tabu-french.tar.xz
Source1006:     l2tabu-italian.doc.tar.xz
Source1007:     l2tabu-italian.tar.xz
Source1008:     l2tabu-spanish.doc.tar.xz
Source1009:     l2tabu-spanish.tar.xz
Source1010:     l2tabu.doc.tar.xz
Source1011:     l2tabu.tar.xz
Source1012:     l3experimental.doc.tar.xz
Source1013:     l3experimental.tar.xz
Source1014:     l3kernel.doc.tar.xz
Source1015:     l3kernel.tar.xz
Source1016:     l3packages.doc.tar.xz
Source1017:     l3packages.tar.xz
Source1018:     labbook.doc.tar.xz
Source1019:     labbook.tar.xz
Source1020:     labelcas.doc.tar.xz
Source1021:     labelcas.tar.xz
Source1022:     labels.doc.tar.xz
Source1023:     labels.tar.xz
Source1024:     lacheck.tar.xz
Source1025:     lambda.tar.xz
Source1026:     langcode.doc.tar.xz
Source1027:     langcode.tar.xz
Source1028:     lapdf.doc.tar.xz
Source1029:     lapdf.tar.xz
Source1030:     lastpage.doc.tar.xz
Source1031:     lastpage.tar.xz
Source1032:     latex-bib-ex.doc.tar.xz
Source1033:     latex-bib-ex.tar.xz
Source1034:     latex-bin.doc.tar.xz
Source1035:     latex-bin.requires
Source1036:     latex-bin.tar.xz
Source1037:     latex-brochure.doc.tar.xz
Source1038:     latex-brochure.tar.xz
Source1039:     latex-course.doc.tar.xz
Source1040:     latex-course.tar.xz
Source1041:     latex-doc-ptr.doc.tar.xz
Source1042:     latex-doc-ptr.tar.xz
Source1043:     latex-fonts.doc.tar.xz
Source1044:     latex-fonts.tar.xz
Source1045:     latex-graphics-companion.doc.tar.xz
Source1046:     latex-graphics-companion.tar.xz
Source1047:     latex-notes-zh-cn.doc.tar.xz
Source1048:     latex-notes-zh-cn.tar.xz
Source1049:     latex-referenz.doc.tar.xz
Source1050:     latex-referenz.tar.xz
Source1051:     latex-tabellen.doc.tar.xz
Source1052:     latex-tabellen.tar.xz
Source1053:     latex-tds.doc.tar.xz
Source1054:     latex-tds.source.tar.xz
Source1055:     latex-tds.tar.xz
Source1056:     latex-veryshortguide.doc.tar.xz
Source1057:     latex-veryshortguide.tar.xz
Source1058:     latex-web-companion.doc.tar.xz
Source1059:     latex-web-companion.tar.xz
Source1060:     latex.doc.tar.xz
Source1061:     latex.tar.xz
Source1062:     latex2e-help-texinfo-spanish.doc.tar.xz
Source1063:     latex2e-help-texinfo-spanish.tar.xz
Source1064:     latex2e-help-texinfo.doc.tar.xz
Source1065:     latex2e-help-texinfo.tar.xz
Source1066:     latex2man.doc.tar.xz
Source1067:     latex2man.tar.xz
Source1068:     latex2man_tmphandling.dif
Source1069:     latex4wp-it.doc.tar.xz
Source1070:     latex4wp-it.tar.xz
Source1071:     latex4wp.doc.tar.xz
Source1072:     latex4wp.tar.xz
Source1073:     latexcheat-esmx.doc.tar.xz
Source1074:     latexcheat-esmx.tar.xz
Source1075:     latexcheat-ptbr.doc.tar.xz
Source1076:     latexcheat-ptbr.tar.xz
Source1077:     latexcheat.doc.tar.xz
Source1078:     latexcheat.tar.xz
Source1079:     latexconfig.tar.xz
Source1080:     latexdiff.doc.tar.xz
Source1081:     latexdiff.tar.xz
Source1082:     latexdiff_env.dif
Source1083:     latexfileinfo-pkgs.doc.tar.xz
Source1084:     latexfileinfo-pkgs.tar.xz
Source1085:     latexfileversion.doc.tar.xz
Source1086:     latexfileversion.tar.xz
Source1087:     latexmk.doc.tar.xz
Source1088:     latexmk.tar.xz
Source1089:     latexmp.doc.tar.xz
Source1090:     latexmp.tar.xz
Source1091:     latexpand.doc.tar.xz
Source1092:     latexpand.tar.xz
Source1093:     lato.doc.tar.xz
Source1094:     lato.tar.xz
Source1095:     layaureo.doc.tar.xz
Source1096:     layaureo.tar.xz
Source1097:     layouts.doc.tar.xz
Source1098:     layouts.tar.xz
Source1099:     lazylist.doc.tar.xz
Source1100:     lazylist.tar.xz
Source1101:     lcd.doc.tar.xz
Source1102:     lcd.tar.xz
Source1103:     lcdftypetools.doc.tar.xz
Source1104:     lcdftypetools.tar.xz
Source1105:     lcg.doc.tar.xz
Source1106:     lcg.tar.xz
Source1107:     lcyw.doc.tar.xz
Source1108:     lcyw.tar.xz
Source1109:     leading.doc.tar.xz
Source1110:     leading.tar.xz
Source1111:     leaflet.doc.tar.xz
Source1112:     leaflet.tar.xz
Source1113:     lecturer.doc.tar.xz
Source1114:     lecturer.tar.xz
Source1115:     ledmac.doc.tar.xz
Source1116:     ledmac.tar.xz
Source1117:     leftidx.doc.tar.xz
Source1118:     leftidx.tar.xz
Source1119:     leipzig.doc.tar.xz
Source1120:     leipzig.moves
Source1121:     leipzig.tar.xz
Source1122:     lettre.doc.tar.xz
Source1123:     lettre.tar.xz
Source1124:     lettrine.doc.tar.xz
Source1125:     lettrine.tar.xz
Source1126:     levy.doc.tar.xz
Source1127:     levy.tar.xz
Source1128:     lewis.doc.tar.xz
Source1129:     lewis.tar.xz
Source1130:     lexikon.doc.tar.xz
Source1131:     lexikon.tar.xz
Source1132:     lfb.doc.tar.xz
Source1133:     lfb.tar.xz
Source1134:     lgreek.doc.tar.xz
Source1135:     lgreek.tar.xz
Source1136:     lgrx.doc.tar.xz
Source1137:     lgrx.moves
Source1138:     lgrx.tar.xz
Source1139:     lh.doc.tar.xz
Source1140:     lh.tar.xz
Source1141:     lhcyr.tar.xz
Source1142:     lhelp.doc.tar.xz
Source1143:     lhelp.tar.xz
Source1144:     libertine.doc.tar.xz
Source1145:     libertine.tar.xz
Source1146:     libgreek.doc.tar.xz
Source1147:     libgreek.tar.xz
Source1148:     librarian.doc.tar.xz
Source1149:     librarian.tar.xz
Source1150:     librebaskerville.doc.tar.xz
Source1151:     librebaskerville.tar.xz
Source1152:     libris.doc.tar.xz
Source1153:     libris.tar.xz
Source1154:     limap.tar.xz
Source1155:     linearA.doc.tar.xz
Source1156:     linearA.tar.xz
Source1157:     linegoal.doc.tar.xz
Source1158:     linegoal.tar.xz
Source1159:     lineno.doc.tar.xz
Source1160:     lineno.tar.xz
Source1161:     linguex.doc.tar.xz
Source1162:     linguex.tar.xz
Source1163:     lipsum.doc.tar.xz
Source1164:     lipsum.tar.xz
Source1165:     lisp-on-tex.doc.tar.xz
Source1166:     lisp-on-tex.tar.xz
Source1167:     listbib.doc.tar.xz
Source1168:     listbib.tar.xz
Source1169:     listing.doc.tar.xz
Source1170:     listing.tar.xz
Source1171:     listings-ext.doc.tar.xz
Source1172:     listings-ext.tar.xz
Source1173:     listings.doc.tar.xz
Source1174:     listings.tar.xz
Source1175:     listliketab.doc.tar.xz
Source1176:     listliketab.tar.xz
Source1177:     listofsymbols.doc.tar.xz
Source1178:     listofsymbols.tar.xz
Source1179:     lithuanian.doc.tar.xz
Source1180:     lithuanian.tar.xz
Source1181:     liturg.doc.tar.xz
Source1182:     liturg.tar.xz
Source1183:     lkproof.doc.tar.xz
Source1184:     lkproof.tar.xz
Source1185:     lm-math.doc.tar.xz
Source1186:     lm-math.tar.xz
Source1187:     lm.doc.tar.xz
Source1188:     lm.tar.xz
Source1189:     lmake.doc.tar.xz
Source1190:     lmake.tar.xz
Source1191:     locality.doc.tar.xz
Source1192:     locality.tar.xz
Source1193:     localloc.doc.tar.xz
Source1194:     localloc.tar.xz
Source1195:     logbox.doc.tar.xz
Source1196:     logbox.tar.xz
Source1197:     logical-markup-utils.doc.tar.xz
Source1198:     logical-markup-utils.tar.xz
Source1199:     logicpuzzle.doc.tar.xz
Source1200:     logicpuzzle.tar.xz
Source1201:     logpap.doc.tar.xz
Source1202:     logpap.tar.xz
Source1203:     logreq.doc.tar.xz
Source1204:     logreq.tar.xz
Source1205:     longnamefilelist.doc.tar.xz
Source1206:     longnamefilelist.tar.xz
Source1207:     loops.doc.tar.xz
Source1208:     loops.tar.xz
Source1209:     lpic.doc.tar.xz
Source1210:     lpic.tar.xz
Source1211:     lps.doc.tar.xz
Source1212:     lps.tar.xz
Source1213:     lsc.doc.tar.xz
Source1214:     lsc.tar.xz
Source1215:     lshort-bulgarian.doc.tar.xz
Source1216:     lshort-bulgarian.tar.xz
Source1217:     lshort-chinese.doc.tar.xz
Source1218:     lshort-chinese.tar.xz
Source1219:     lshort-czech.doc.tar.xz
Source1220:     lshort-czech.tar.xz
Source1221:     lshort-dutch.doc.tar.xz
Source1222:     lshort-dutch.tar.xz
Source1223:     lshort-english.doc.tar.xz
Source1224:     lshort-english.tar.xz
Source1225:     lshort-finnish.doc.tar.xz
Source1226:     lshort-finnish.tar.xz
Source1227:     lshort-french.doc.tar.xz
Source1228:     lshort-french.tar.xz
Source1229:     lshort-german.doc.tar.xz
Source1230:     lshort-german.tar.xz
Source1231:     lshort-italian.doc.tar.xz
Source1232:     lshort-italian.tar.xz
Source1233:     lshort-japanese.doc.tar.xz
Source1234:     lshort-japanese.tar.xz
Source1235:     lshort-korean.doc.tar.xz
Source1236:     lshort-korean.tar.xz
Source1237:     lshort-mongol.doc.tar.xz
Source1238:     lshort-mongol.tar.xz
Source1239:     lshort-persian.doc.tar.xz
Source1240:     lshort-persian.tar.xz
Source1241:     lshort-polish.doc.tar.xz
Source1242:     lshort-polish.tar.xz
Source1243:     lshort-portuguese.doc.tar.xz
Source1244:     lshort-portuguese.tar.xz
Source1245:     lshort-russian.doc.tar.xz
Source1246:     lshort-russian.tar.xz
Source1247:     lshort-slovak.doc.tar.xz
Source1248:     lshort-slovak.tar.xz
Source1249:     lshort-slovenian.doc.tar.xz
Source1250:     lshort-slovenian.tar.xz
Source1251:     lshort-spanish.doc.tar.xz
Source1252:     lshort-spanish.tar.xz
Source1253:     lshort-thai.doc.tar.xz
Source1254:     lshort-thai.tar.xz
Source1255:     lshort-turkish.doc.tar.xz
Source1256:     lshort-turkish.tar.xz
Source1257:     lshort-ukr.doc.tar.xz
Source1258:     lshort-ukr.tar.xz
Source1259:     lshort-vietnamese.doc.tar.xz
Source1260:     lshort-vietnamese.tar.xz
Source1261:     lstaddons.doc.tar.xz
Source1262:     lstaddons.tar.xz
Source1263:     ltablex.doc.tar.xz
Source1264:     ltablex.tar.xz
Source1265:     ltabptch.doc.tar.xz
Source1266:     ltabptch.tar.xz
Source1267:     ltxdockit.doc.tar.xz
Source1268:     ltxdockit.tar.xz
Source1269:     ltxfileinfo.doc.tar.xz
Source1270:     ltxfileinfo.tar.xz
Source1271:     ltxindex.doc.tar.xz
Source1272:     ltxindex.tar.xz
Source1273:     ltxkeys.doc.tar.xz
Source1274:     ltxkeys.tar.xz
Source1275:     ltxmisc.tar.xz
Source1276:     ltxnew.doc.tar.xz
Source1277:     ltxnew.tar.xz
Source1278:     ltxtools.doc.tar.xz
Source1279:     ltxtools.tar.xz
Source1280:     lua-alt-getopt.doc.tar.xz
Source1281:     lua-alt-getopt.tar.xz
Source1282:     lua-check-hyphen.doc.tar.xz
Source1283:     lua-check-hyphen.tar.xz
Source1284:     lua-visual-debug.doc.tar.xz
Source1285:     lua-visual-debug.tar.xz
Source1286:     lua2dox.doc.tar.xz
Source1287:     lua2dox.tar.xz
Source1288:     luabibentry.doc.tar.xz
Source1289:     luabibentry.tar.xz
Source1290:     luabidi.doc.tar.xz
Source1291:     luabidi.tar.xz
Source1292:     luacode.doc.tar.xz
Source1293:     luacode.tar.xz
Source1294:     luaindex.doc.tar.xz
Source1295:     luaindex.tar.xz
Source1296:     luainputenc.doc.tar.xz
Source1297:     luainputenc.tar.xz
Source1298:     luaintro.doc.tar.xz
Source1299:     luaintro.tar.xz
Source1300:     lualatex-doc-de.doc.tar.xz
Source1301:     lualatex-doc-de.tar.xz
Source1302:     lualatex-doc.doc.tar.xz
Source1303:     lualatex-doc.tar.xz
Source1304:     lualatex-math.doc.tar.xz
Source1305:     lualatex-math.tar.xz
Source1306:     lualibs.doc.tar.xz
Source1307:     lualibs.tar.xz
Source1308:     luamplib.doc.tar.xz
Source1309:     luamplib.tar.xz
Source1310:     luaotfload.doc.tar.xz
Source1311:     luaotfload.tar.xz
Source1312:     luaotfload_varfonts.dif
Source1313:     luasseq.doc.tar.xz
Source1314:     luasseq.tar.xz
Source1315:     luatex.doc.tar.xz
Source1316:     luatex.requires
Source1317:     luatex.tar.xz
Source1318:     luatexbase.doc.tar.xz
Source1319:     luatexbase.tar.xz
Source1320:     luatexja.doc.tar.xz
Source1321:     luatexja.tar.xz
Source1322:     luatexko.doc.tar.xz
Source1323:     luatexko.tar.xz
Source1324:     luatextra.doc.tar.xz
Source1325:     luatextra.tar.xz
Source1326:     luaxml.doc.tar.xz
Source1327:     luaxml.tar.xz
Source1328:     lxfonts.doc.tar.xz
Source1329:     lxfonts.tar.xz
Source1330:     ly1.doc.tar.xz
Source1331:     ly1.tar.xz
NoSource:       1000
NoSource:       1001
NoSource:       1002
NoSource:       1003
NoSource:       1004
NoSource:       1005
NoSource:       1006
NoSource:       1007
NoSource:       1008
NoSource:       1009
NoSource:       1010
NoSource:       1011
NoSource:       1012
NoSource:       1013
NoSource:       1014
NoSource:       1015
NoSource:       1016
NoSource:       1017
NoSource:       1018
NoSource:       1019
NoSource:       1020
NoSource:       1021
NoSource:       1022
NoSource:       1023
NoSource:       1024
NoSource:       1025
NoSource:       1026
NoSource:       1027
NoSource:       1028
NoSource:       1029
NoSource:       1030
NoSource:       1031
NoSource:       1032
NoSource:       1033
NoSource:       1034
NoSource:       1036
NoSource:       1037
NoSource:       1038
NoSource:       1039
NoSource:       1040
NoSource:       1041
NoSource:       1042
NoSource:       1043
NoSource:       1044
NoSource:       1045
NoSource:       1046
NoSource:       1047
NoSource:       1048
NoSource:       1049
NoSource:       1050
NoSource:       1051
NoSource:       1052
NoSource:       1053
NoSource:       1054
NoSource:       1055
NoSource:       1056
NoSource:       1057
NoSource:       1058
NoSource:       1059
NoSource:       1060
NoSource:       1061
NoSource:       1062
NoSource:       1063
NoSource:       1064
NoSource:       1065
NoSource:       1066
NoSource:       1067
NoSource:       1068
NoSource:       1069
NoSource:       1070
NoSource:       1071
NoSource:       1072
NoSource:       1073
NoSource:       1074
NoSource:       1075
NoSource:       1076
NoSource:       1077
NoSource:       1078
NoSource:       1079
NoSource:       1080
NoSource:       1081
NoSource:       1082
NoSource:       1083
NoSource:       1084
NoSource:       1085
NoSource:       1086
NoSource:       1087
NoSource:       1088
NoSource:       1089
NoSource:       1090
NoSource:       1091
NoSource:       1092
NoSource:       1093
NoSource:       1094
NoSource:       1095
NoSource:       1096
NoSource:       1097
NoSource:       1098
NoSource:       1099
NoSource:       1100
NoSource:       1101
NoSource:       1102
NoSource:       1103
NoSource:       1104
NoSource:       1105
NoSource:       1106
NoSource:       1107
NoSource:       1108
NoSource:       1109
NoSource:       1110
NoSource:       1111
NoSource:       1112
NoSource:       1113
NoSource:       1114
NoSource:       1115
NoSource:       1116
NoSource:       1117
NoSource:       1118
NoSource:       1119
NoSource:       1121
NoSource:       1122
NoSource:       1123
NoSource:       1124
NoSource:       1125
NoSource:       1126
NoSource:       1127
NoSource:       1128
NoSource:       1129
NoSource:       1130
NoSource:       1131
NoSource:       1132
NoSource:       1133
NoSource:       1134
NoSource:       1135
NoSource:       1136
NoSource:       1138
NoSource:       1139
NoSource:       1140
NoSource:       1141
NoSource:       1142
NoSource:       1143
NoSource:       1144
NoSource:       1145
NoSource:       1146
NoSource:       1147
NoSource:       1148
NoSource:       1149
NoSource:       1150
NoSource:       1151
NoSource:       1152
NoSource:       1153
NoSource:       1154
NoSource:       1155
NoSource:       1156
NoSource:       1157
NoSource:       1158
NoSource:       1159
NoSource:       1160
NoSource:       1161
NoSource:       1162
NoSource:       1163
NoSource:       1164
NoSource:       1165
NoSource:       1166
NoSource:       1167
NoSource:       1168
NoSource:       1169
NoSource:       1170
NoSource:       1171
NoSource:       1172
NoSource:       1173
NoSource:       1174
NoSource:       1175
NoSource:       1176
NoSource:       1177
NoSource:       1178
NoSource:       1179
NoSource:       1180
NoSource:       1181
NoSource:       1182
NoSource:       1183
NoSource:       1184
NoSource:       1185
NoSource:       1186
NoSource:       1187
NoSource:       1188
NoSource:       1189
NoSource:       1190
NoSource:       1191
NoSource:       1192
NoSource:       1193
NoSource:       1194
NoSource:       1195
NoSource:       1196
NoSource:       1197
NoSource:       1198
NoSource:       1199
NoSource:       1200
NoSource:       1201
NoSource:       1202
NoSource:       1203
NoSource:       1204
NoSource:       1205
NoSource:       1206
NoSource:       1207
NoSource:       1208
NoSource:       1209
NoSource:       1210
NoSource:       1211
NoSource:       1212
NoSource:       1213
NoSource:       1214
NoSource:       1215
NoSource:       1216
NoSource:       1217
NoSource:       1218
NoSource:       1219
NoSource:       1220
NoSource:       1221
NoSource:       1222
NoSource:       1223
NoSource:       1224
NoSource:       1225
NoSource:       1226
NoSource:       1227
NoSource:       1228
NoSource:       1229
NoSource:       1230
NoSource:       1231
NoSource:       1232
NoSource:       1233
NoSource:       1234
NoSource:       1235
NoSource:       1236
NoSource:       1237
NoSource:       1238
NoSource:       1239
NoSource:       1240
NoSource:       1241
NoSource:       1242
NoSource:       1243
NoSource:       1244
NoSource:       1245
NoSource:       1246
NoSource:       1247
NoSource:       1248
NoSource:       1249
NoSource:       1250
NoSource:       1251
NoSource:       1252
NoSource:       1253
NoSource:       1254
NoSource:       1255
NoSource:       1256
NoSource:       1257
NoSource:       1258
NoSource:       1259
NoSource:       1260
NoSource:       1261
NoSource:       1262
NoSource:       1263
NoSource:       1264
NoSource:       1265
NoSource:       1266
NoSource:       1267
NoSource:       1268
NoSource:       1269
NoSource:       1270
NoSource:       1271
NoSource:       1272
NoSource:       1273
NoSource:       1274
NoSource:       1275
NoSource:       1276
NoSource:       1277
NoSource:       1278
NoSource:       1279
NoSource:       1280
NoSource:       1281
NoSource:       1282
NoSource:       1283
NoSource:       1284
NoSource:       1285
NoSource:       1286
NoSource:       1287
NoSource:       1288
NoSource:       1289
NoSource:       1290
NoSource:       1291
NoSource:       1292
NoSource:       1293
NoSource:       1294
NoSource:       1295
NoSource:       1296
NoSource:       1297
NoSource:       1298
NoSource:       1299
NoSource:       1300
NoSource:       1301
NoSource:       1302
NoSource:       1303
NoSource:       1304
NoSource:       1305
NoSource:       1306
NoSource:       1307
NoSource:       1308
NoSource:       1309
NoSource:       1310
NoSource:       1311
NoSource:       1312
NoSource:       1313
NoSource:       1314
NoSource:       1315
NoSource:       1317
NoSource:       1318
NoSource:       1319
NoSource:       1320
NoSource:       1321
NoSource:       1322
NoSource:       1323
NoSource:       1324
NoSource:       1325
NoSource:       1326
NoSource:       1327
NoSource:       1328
NoSource:       1329
NoSource:       1330
NoSource:       1331
BuildRequires:  buffer
BuildRequires:  ed
BuildRequires:  file
BuildRequires:  fontconfig
BuildRequires:  ghostscript-fonts-std
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
BuildRequires:  texlive-filesystem
BuildConflicts: texinfo
BuildRequires:  xorg-x11-fonts-core
BuildRequires:  xz
BuildArch:      noarch

%description
Use one rpm spec file for repackaging the texmf/texmf-dist
the several tar balls of TeX Live. 

%prep
pushd %_sourcedir
    chmod g-w *.tar.xz
popd
%setup -n texlive-specs -q
%build
(cat > Makefile)<<'EOF'
 topdir=$(abspath ../..)
rootdir=$(topdir)/BUILDROOT
 SHELL := /bin/bash

%%.rpm: root=$(rootdir)/$*.noarch
%%.rpm: %%.spec
	exec > >(exec buffer -s 256k -m 1m -u 10) 2>&1; \
	rpmbuild -ba --buildroot $(root) --define '_srcdefattr (-,root,root)' --define 'rlobs %release' %{?disturl:--define 'disturl %disturl'} $< && \
	rm -rf $(topdir)/BUILD/$*-[0-9]*

%if %{defined build_slice}
specs := $(foreach spec,%build_slice,$(wildcard texlive-$(spec)*.spec))
%else
specs := $(sort $(filter-out texlive-specs.specs,$(wildcard *.spec)))
%endif
rpms := $(specs:.spec=.rpm)

all: $(rpms)
EOF
make topdir=%{_topdir} %{?_smp_mflags}

%install

%files
%defattr(-,root,root,0755)

%changelog
* Fri Mar 21 2014 werner@suse.de
- Remove superfluous xfs dependcies
* Mon Oct 28 2013 werner@suse.de
- Make Lua(La)TeX knowing about varfonts from mktex.cnf (bnc#847102)
* Wed Sep 25 2013 werner@suse.de
- Be aware that texlive scripts are now in the packages them self
* Tue Sep 10 2013 werner@suse.de
- Change /bin/env to /usr/bin/env in latexdiff tool below doc
* Fri Aug  9 2013 werner@suse.de
- Be aware that the package texlive-ascii-font is the former
  texlive-ascii
* Thu Aug  8 2013 werner@suse.de
- Do not override TEXMFLOCAL with TEXMFMAIN as this is now TEXMFDIST
* Wed Aug  7 2013 werner@suse.de
- Drop dependency freeglut-devel of texlive-asymptote (bnc#833498)
* Mon Aug  5 2013 werner@suse.de
- Make sure that TEXMFMAIN is /usr/share/texmf now
- Replace texmf.cnf if really required that is do not install
  as .rpmnew but move the old to .rpmold
* Fri Aug  2 2013 werner@suse.de
- Move leipzig.tex from doc/latex/leipzig/leipzig.tex to
  tex/latex/leipzig/leipzig.tex
* Tue Jul 30 2013 werner@suse.de
- Update to TeXLive 2013 (timestamp 20130620)
  + Distribution layout: the top-level texmf/ directory has been
    merged into texmf-dist/, for simplicity. Both the TEXMFMAIN
    and TEXMFDIST Kpathsea variables now point to texmf-dist.
  + Many small language collections have been merged together,
    to simplify installation.
  + MetaPost: native support for PNG output and floating-point
    (IEEE double) has been added.
  + LuaTEX: updated to Lua 5.2, and includes a new library
    (pdfscanner) to process external PDF page content, among
    much else (see its web pages).
  + XeTEX (also see its web pages for more):
    The HarfBuzz library now used for font layout instead of ICU.
    Graphite2 and HarfBuzz are used instead of SilGraphite for Graphite layout.
    On Macs, Core Text is used instead of the (deprecated) ATSUI.
    Prefer TrueType/OpenType fonts to Type1 when the names are the same.
    Fix occasional mismatch in font finding between XeTEX and xdvipdfmx.
    Support OpenType math cut-ins.
  + xdvi: now uses FreeType instead of t1lib for rendering.
  + microtype.sty: some support for XeTEX (protrusion) and LuaTEX
    (protrusion, font expansion, tracking), among other enhancements.
- Update biblatex-biber to 1.7
- Udpate biblatex of TeXLive 2013 to 2.7a
* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867)
- Avoid line break in patch pgf_plain.dif (bnc#823273)
* Tue May  7 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.
* Mon May  6 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)
* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %%post scriptlet.
* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)
* Tue Feb  5 2013 werner@suse.de
- Work around missing support of %%posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)
* Tue Oct  9 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)
* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically
* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0
  Aggregate licenses for spec file without subpackages
* Thu Aug  2 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype
* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches
* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch
* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator
* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719)
* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet
* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin
* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree
* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive
* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script
* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles
* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split
* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run
* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin
* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo
* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables
* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies
* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy
* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel
* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611)
* Mon Jun  4 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server
* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts
* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number
* Thu May 31 2012 werner@suse.de
- Change version/release scheme
- Avoid to list optional loaded but not existing files as required
* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046)
* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file
* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts
* Wed May  9 2012 werner@suse.de
- Make rpm lint happy
* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
